## libopaque 1.0.1

=== demos/auth-py-js/requirements.txt ===
flask
opaque
pysodium
