## libopaque 0.99.3

=== debian/changelog ===
libopaque (0.99.3-1) unstable; urgency=low

  [ Stefan Marsiske ]
  * New upstream release.
    - [fix] updated license references in a bunch of places

  [ Joost van Baal-Ilić ]
  * d/copyright: drop License: GPL-3.0, GPL-3.0+ and Apache: no longer used.
    Thanks Thorsten Alteholz for rigorous inspection of upstream licensing.
  * d/watch: put some content in.
  * Initial release. Closes: #1049864

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 19 Nov 2023 13:15:44 +0100

libopaque (0.99.2-1) unstable; urgency=low

  [ Stefan Marsiske ]
  * New upstream release.
    - [mod] added some compiled artifacts to gitattributes

  [ Joost van Baal-Ilić ]
  * d/libopaque-bin.lintian-overrides: added: suppress "warning: cannot select
    font 'C'" while waiting for https://github.com/jgm/pandoc/issues/9020 to
    get fixed in Debian supplied pandoc.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 15 Oct 2023 16:40:48 +0200

libopaque (0.99.1-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske ]
  * New upstream release.
    - [fix] makefile
    - [enh] added man page for opaque(1)
    - [fix] help message of opaque(1)
    - [mod] exclude all of js/ from git archive
    - [mod] vendored in munit at fbbdf1467eb0d04a6ee465def2e529e4c87f2118
    - [mod] removed munit submodule

  [ Joost van Baal-Ilić ]
  * deal with new src/utils/man/{makefile,opaque.md} which builds opaque(1):
    - d/control: add pandoc to Build-depends.
    - d/libopaque-bin.manpages: added.
  * d/copyright: drop js/.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 15 Oct 2023 07:13:29 +0200

libopaque (0.99+git20231010.a9e7724-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske ]
  * New upstream git snapshot, handcrafted by joostvb again
    - no longer include demos/auth-py-js/static/libopaque.debug.js,
      js/dist/libopaque.debug.js: these files are currently not used,
      and lintian fails to find sources for these files (however:
      likely js/Makefile lists these sources).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 12 Oct 2023 16:53:01 +0200

libopaque (0.99+git20231009.a9e7724-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske ]
  * New upstream git snapshot, handcrafted by joostvb again
    - no longer include doc/{threshold-oprf,opaque}.pdf, js/libsodium.js/*
      in .tar.gz.

  [ Joost van Baal-Ilić ]
  * debian/copyright: complete

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 11 Oct 2023 16:22:35 +0200

libopaque (0.99+git20231008.a9e7724-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-10-08 ]
  * New upstream git snapshot, pulled from
    https://github.com/stef/libopaque/archive/refs/heads/master.tar.gz :
    - [enh] added gitattributes, excluding /doc and /js/libsodium.js
      from any archive exports

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 11 Oct 2023 16:22:34 +0200

libopaque (0.99+git20231007.553d8f0-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-10-07 ]
  * New upstream git snapshot:
    - [mod] added fixes to makefile for better packaging experience

  [ Joost van Baal-Ilić ]
  * d/rules: re-enable all build time tests.
  * d/control: split binary package libopaque in 3 new ones: libopaque-bin,
    libopaque0, libopaque-dev.
  * debian/libopaque*.install, debian/libopaque-dev.links,
    debian/not-installed: added: distribute files over packages.
  * debian/libopaque-bin.docs: added: install documentation.
  * debian/control: add dh-exec Build-Depends.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Oct 2023 08:52:17 +0200

libopaque (0.99+git20231001.3c405af-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-10-01 ]
  * New upstream git snapshot:
    - [enh] add DESTDIR support to src/makefile to enable proper packaging,
       thx joostvb
    - [mod] only run opaque-tv1 test if this test exists

  [ Joost van Baal-Ilić ]
  * d/rules: explicitly pass PREFIX=/usr.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 07 Oct 2023 11:19:12 +0200

libopaque (0.99+git20230929.b063999-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-09-29 ]
  * New upstream git snapshot:
    - [mod] update testvectors to latest version of cfrg draft
    - [mod] add trailing space to all messages before hexdump of values in
       dump()
    - [fix] makefile utils/opaque needs libopaque.so as a build dep, parallel
       builds fail without this

  [ Joost van Baal-Ilić ]
  * d/rules: skip all build time tests, while working on a better way
    to deal with test failure due to missing file ./tests/opaque-tv1.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 30 Sep 2023 12:19:24 +0200

libopaque (0.99+git20230928.9275408-1) unstable; urgency=low

  * This release was never uploaded.

  [ Joost van Baal-Ilić ]
  * Repack and re-import upstream sources yet again.
  * d/control: update Build-Depends for building just the C stuff: remove
    javahelper, add pkgconf, libsodium-dev.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 28 Sep 2023 14:00:30 +0200

libopaque (0.99+git20230830.9275408-1) unstable; urgency=low

  * This release was never uploaded.

  [ Joost van Baal-Ilić ]
  * Repack upstream sources in .tar.gz, now including previously skipped
    files like munit/munit.h .
  * d/rules: disable java stuff, enable C stuff: build C sources only.
  * d/gbp.conf: added, to deal with our non-standard branch naming.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 18 Sep 2023 18:14:19 +0200

libopaque (0.99+git20230829.9275408-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-08-29 ]
  * New upstream git snapshot:
    - [fix] gh ci/cd job
    - [mod] force link to installed libopaque.so.0
    - [mod] add versioned soname and install target fixes to lib makefile

