=== debian/control ===
Source: libopaque
Section: utils
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), pkgconf,
   libsodium-dev, liboprf-dev, pandoc
Standards-Version: 4.5.1
Homepage: https://github.com/stef/libopaque
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libopaque.git
Vcs-Browser: https://salsa.debian.org/debian/libopaque

Package: libopaque-bin
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Language bindings for establishing a shared secret using the OPAQUE protocol
 This library implements the OPAQUE protocol as proposed in the IRTF Crypto
 Forum Research Group draft (https://github.com/cfrg/draft-irtf-cfrg-opaque).
 The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
 Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
 but a password and a server holding some information protected by the password
 can establish a shared secret.  The library comes with bindings for js, php7,
 ruby, java, erlang, lua, python, go and SASL.

Package: libopaque0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Establishing a shared secret using the OPAQUE protocol - C library
 The opaque library implements the OPAQUE protocol as proposed in the IRTF
 Crypto Forum Research Group draft
 (https://github.com/cfrg/draft-irtf-cfrg-opaque).
 The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
 Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
 but a password and a server holding some information protected by the password
 can establish a shared secret.
 .
 libopaque0 delivers the C library.

Package: libopaque-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Establishing a shared secret using the OPAQUE protocol - C development files
 The opaque library implements the OPAQUE protocol as proposed in the IRTF
 Crypto Forum Research Group draft
 (https://github.com/cfrg/draft-irtf-cfrg-opaque).
 The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
 Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
 but a password and a server holding some information protected by the password
 can establish a shared secret.
 .
 libopaque-dev delivers C development files for libopaque.
