=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
#export JAVA_HOME=/usr/lib/jvm/default-java
#export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

# 	dh $@ --with javahelper

#override_dh_auto_test:
#	echo "all build time tests skipped"
