## libopaque 0.99.7

=== debian/changelog ===
libopaque (0.99.7-2) unstable; urgency=low

  * d/patches/0002-fix-fcf-protection=full_error.patch: added patch
    contributed by Gui-Yue <yuemeng.gui@g.c>: Avoid using -fcf-protection=full
    on architectures that do not support it.  Closes: #1082166

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 19 Sep 2024 18:09:18 +0200

libopaque (0.99.7-1) unstable; urgency=low

  * New upstream, released Sept 8, 2024.
    [fix] add missing liboprf to tests/opaque-tv1 as link dependency in makefile
    [enh] added new opaque_CreateRegistrationResponse_extKeygen() to facilitate
     DKG for threshold OPAQUE
    [mod] renamed pub/resp to ke[12] in the according places
    [mod] added spdx header to python wrapper
    [mod] fixed use of gcc instead of $(CC) in src/makefile

  * d/patches/series: drop 0001-makefile-installation.patch: now shipped
    upstream.

  * d/control: make liboprf-dev build-depends versioned after consulting
    upstream: liboprf is deemed way too fresh to use and announce sonames.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Sep 2024 08:36:45 +0200

libopaque (0.99.6-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske ]
  * New upstream release 0.99.6, July 13, 2024
    - [fix] add full install path to soname on darwin
    - [fix] bad soname on darwin in makefile
    - [mod] removed -l,rpath is a gccism
    - [fix] add rpath for libopaque.so in makefile
    - [mod] disabled -fcf-protection=full in darwin builds
    - [mod] remove futuristic cc params from makefile
    - [doc] comments fixed in opaque.h
    - [mod] using mkdir-p/cp instead of install-d for macos and others lacking
       useful install(1)

  * (Missed) new upstream release 0.99.5, July 10, 2024
    [ Kris Pypen ]
    - fix: length registration record should be OPAQUE_REGISTRATION_RECORD_LEN
       (#40) The record received from opaque_FinalizeRequest and send to
       opaque_StoreUserRecord has length OPAQUE_REGISTRATION_RECORD_LEN

  * (Missed) new upstream release 0.99.4, July 2, 2024
    [ Ciprian Sofronia, Tue Jul 2 2024 ]
    - fix: add java package (#39)
    - fix: rename package to ctrlc
    [ stf, Dec 2 2023 - Jul 1 2024 ]
    - [fix] codeql recipe with new liboprf - missing include dir
    - [fix] added apt update to js-binding ci/cd job
    - [fix] update codeql analysis version
    - [mod] built new js packages
    - [fix] add support to build on darwin
    - [fix] more codeql yml fixes liboprf
    - [fix] codeql yml fix due to changed liboprf/src path
    - [fix] gh workflows liboprf src was moved around.
    - [fix] missing return in finalize()
    - [mod] refactored some code from liboprf oprf_Finalize back here, as it
       this OPAQUE specific and not related to the OPRF

  [ Joost van Baal-Ilić ]
  * d/patches/0001-makefile-installation.patch, d/patches/series: cherry picked
    from upstream.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 31 Aug 2024 11:11:30 +0200
