=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
 Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), pkgconf,
-   libsodium-dev, liboprf-dev, pandoc
+   libsodium-dev, liboprf-dev (>= 0.3.2), pandoc
 Standards-Version: 4.5.1
 Homepage: https://github.com/stef/libopaque
 Rules-Requires-Root: no
