## libopaque 0.99.8

=== debian/changelog ===
libopaque (0.99.8-1) unstable; urgency=low

  * New upstream, released Nov 22, 2024.
    [fix] commit 967041f542e940b53064d181c866fc79a76ed3c0 : deal with
     tests/opaque-tv1 opaque_CreateRegistrationResponse Segmentation fault on
     ppc64el , related to Debian Bug #1085466
    [fix] mixed up 3hashtdh module name in js/makefile
    [mod] also committing js/dist
    [fix] npm audit fix --force in js bindings
    [mod] added toprf_3hashDH as new function to js wrapper
    [fix] #41 - inconsistent oprf.h include (paths)
    [fix] threshold OPAQUE now using 3hashTDH as the t-OPRF primitive
  * d/patches/series: disable 0002-fix-fcf-protection=full_error.patch:
    merged upstream.
  * d/control: enhance description of libopaque-bin.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Dec 2024 11:00:53 +0100
