=== debian/control ===
--- 
+++ 
@@ -17,13 +17,15 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Language bindings for establishing a shared secret using the OPAQUE protocol
- This library implements the OPAQUE protocol as proposed in the IRTF Crypto
+ The opaque library implements the OPAQUE protocol as proposed in the IRTF Crypto
  Forum Research Group draft (https://github.com/cfrg/draft-irtf-cfrg-opaque).
  The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
  Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
  but a password and a server holding some information protected by the password
  can establish a shared secret.  The library comes with bindings for js, php7,
  ruby, java, erlang, lua, python, go and SASL.
+ .
+ libopaque-bin ships the opaque(1) commandline frontend.
 
 Package: libopaque0
 Section: libs
