## libopaque 1.0.0

=== debian/changelog ===
libopaque (1.0.0-2) unstable; urgency=low

  * debian/patches/{0003-cppflags.patch,series}: fixing blhc error: CPPFLAGS
    missing (-D_FORTIFY_SOURCE=2).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 23 Feb 2025 15:47:13 +0100

libopaque (1.0.0-1) unstable; urgency=low

  * New upstream, released Feb 18, 2025.
    [mod] bumped python wrapper version to 1.0
    [enh] added an unlink_masking_key mechanic, that makes all user records
     unique across all threshold servers, unless 3hashtdh is used, then the
     zero record, does link them
    [fix] added missing pysodium as dep to py binding
    [fix] correct paths to links, amends fix for #42
    [fix] made softlinks to js/dist/libopaque.debug.js from the static demo
     deps. should fix #42

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 19 Feb 2025 15:28:43 +0100

libopaque (0.99.8-3) unstable; urgency=low

  * New source-only upload to allow migration to testing.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 16 Feb 2025 06:18:20 +0100

libopaque (0.99.8-2) unstable; urgency=low

  * Now ships binary package python3-opaque:
    - d/control: add dh-python, python3-all to Build-Depends,
    - d/not-installed: add usr/lib/python*/dist-packages/opaque/__pycache__/,
    - d/rules: add pybuild, python.  Make sure we are known in python module
       land as "opaque"; not as "libopaque".
    - d/python3-opaque.install: added.

  * d/control: add libopaque0 and python3-pysodium to python3-opaque Depends.
    Tnx autopkgtest @ salsa.

  * d/control: Fix extended description line length. Tnx lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 15 Feb 2025 14:22:10 +0100
