## libopaque 1.0.1

=== debian/changelog ===
libopaque (1.0.1-4) unstable; urgency=low

  * d/control: Add missing Depends: libopaque0 (= ${binary:Version}) to
    libopaque-dev.  Thanks Adrian Bunk. Closes: #1118960
  * d/contol: tighten libopaque0 Depends in python3-opaque: add
    (>= ${binary:Version}).  Thanks again Adrian Bunk.  And keep this safely
    binNMUable; thanks lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 28 Oct 2025 18:46:54 +0100

libopaque (1.0.1-3) unstable; urgency=low

  * d/patches/{0003-cppflags.patch,series}: patch src/opaque.c to get rid
    of FTBFS error "implicit declaration of function ‘expand_message_xmd’".
    Thanks Santiago Vila for reporting.  Closes: #1114179
  * d/control: drop Rules-Requires-Root: no, it is the default now.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 25 Oct 2025 12:37:44 +0200

libopaque (1.0.1-2) unstable; urgency=low

  * d/changelog: Fixup previous entry.
  * d/control: add python3-setuptools to Build-Depends.  Fixes: "FTBFS:
    ModuleNotFoundError: No module named 'setuptools'".  Thanks Santiago Vila.
    Closes: #1100235

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 19 Mar 2025 15:08:34 +0100

libopaque (1.0.1-1) unstable; urgency=low

  * New upstream, released Feb 23, 2025.
    [mod] added CPPFLAGS to most of src/makefile which enables the Debian
    build machinery to enable the right FORTIFY_SOURCE settings.

  * d/patches/series: drop 0003-cppflags.patch: merged upstream.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 28 Feb 2025 15:24:20 +0100
