=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
-Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), pkgconf,
-   libsodium-dev, liboprf-dev (>= 0.3.2), pandoc
+Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), dh-python, python3-setuptools,
+   pkgconf, libsodium-dev, liboprf-dev (>= 0.3.2), pandoc, python3-all
 Standards-Version: 4.5.1
 Homepage: https://github.com/stef/libopaque
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/libopaque.git
 Vcs-Browser: https://salsa.debian.org/debian/libopaque
 
@@ -17,8 +16,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Language bindings for establishing a shared secret using the OPAQUE protocol
- The opaque library implements the OPAQUE protocol as proposed in the IRTF Crypto
- Forum Research Group draft (https://github.com/cfrg/draft-irtf-cfrg-opaque).
+ The opaque library implements the OPAQUE protocol as proposed in the IRTF
+ Crypto Forum Research Group draft
+ (https://github.com/cfrg/draft-irtf-cfrg-opaque).
  The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
  Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
  but a password and a server holding some information protected by the password
@@ -48,7 +48,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libopaque0 (= ${binary:Version})
 Description: Establishing a shared secret using the OPAQUE protocol - C development files
  The opaque library implements the OPAQUE protocol as proposed in the IRTF
  Crypto Forum Research Group draft
@@ -59,3 +59,19 @@
  can establish a shared secret.
  .
  libopaque-dev delivers C development files for libopaque.
+
+Package: python3-opaque
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3:any, libopaque0 (>= ${binary:Version}), python3-pysodium
+Recommends: ${python:Recommends}
+Suggests: ${python:Suggests}
+Description: python bindings for libopaque: Establishing an OPAQUE shared secret
+ The opaque library implements the OPAQUE protocol as proposed in the IRTF
+ Crypto Forum Research Group draft
+ (https://github.com/cfrg/draft-irtf-cfrg-opaque).
+ The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
+ Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
+ but a password and a server holding some information protected by the password
+ can establish a shared secret.
+ .
+ python3-opaque delivers bindings for Python 3.
